| Kea 3.0.2-git

isc::netconf::ControlSocketConfigParser Class Reference

Parser for CfgControlSocket. More...

`#include <netconf_config.h>`

Inheritance diagram for isc::netconf::ControlSocketConfigParser:
[legend]

## Public Member Functions
CfgControlSocketPtr | parse (data::ConstElementPtr ctrl_sock_config)
| Performs the actual parsing of the given "control-socket" element.
Public Member Functions inherited from isc::data::SimpleParser
uint16_t | getUint16 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint16_t.
uint32_t | getUint32 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint32_t.
uint8_t | getUint8 (ConstElementPtr scope, const std::string &name)
| Get an uint8_t value.
const isc::util::Triplet< uint32_t > | parseIntTriplet (const data::ConstElementPtr &scope, const std::string &name)
| Parses an integer triplet.

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::SimpleParser
static void | checkKeywords (const SimpleKeywords &keywords, isc::data::ConstElementPtr scope)
| Checks acceptable keywords with their expected type.
static void | checkRequired (const SimpleRequiredKeywords &required, isc::data::ConstElementPtr scope)
| Checks that all required keywords are present.
static size_t | deriveParams (isc::data::ConstElementPtr parent, isc::data::ElementPtr child, const ParamsList &params)
| Derives (inherits) parameters from parent scope to a child.
static isc::asiolink::IOAddress | getAddress (const ConstElementPtr &scope, const std::string &name)
| Returns a IOAddress parameter from a scope.
static bool | getBoolean (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a boolean parameter from a scope.
static double | getDouble (const ConstElementPtr &scope, const std::string &name)
| Returns a floating point parameter from a scope.
static int64_t | getInteger (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer parameter from a scope.
static int64_t | getInteger (isc::data::ConstElementPtr scope, const std::string &name, int64_t min, int64_t max)
| Returns an integer parameter from a scope and checks its range.
static const data::Element::Position & | getPosition (const std::string &name, const data::ConstElementPtr parent)
| Utility method that returns position of an element.
static std::string | getString (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a string parameter from a scope.
static size_t | setDefaults (isc::data::ElementPtr scope, const SimpleDefaults &default_values)
| Sets the default values.
static size_t | setListDefaults (isc::data::ConstElementPtr list, const SimpleDefaults &default_values)
| Sets the default values for all entries in a list.
Protected Member Functions inherited from isc::data::SimpleParser
template<typename target_type, target_type convert>
target_type | getAndConvert (isc::data::ConstElementPtr scope, const std::string &name, const std::string &type_name)
| Returns a converted value from a scope.
template<typename int_type>
int_type | getIntType (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer value with range checking from a scope.

## Detailed Description

Parser for CfgControlSocket.

This class parses the configuration element "control-socket" and creates an instance of a CfgControlSocket.

Definition at line 293 of file netconf_config.h.

## Member Function Documentation

## ◆ parse()

CfgControlSocketPtr isc::netconf::ControlSocketConfigParser::parse | ( | data::ConstElementPtr | ctrl_sock_config | ) |

Performs the actual parsing of the given "control-socket" element.

Parses a configuration for the elements needed to instantiate a CfgControlSocket, validates those entries, creates a CfgControlSocket instance.

Parameters

  ctrl_sock_config | is the "control-socket" configuration to parse.

Returns
  pointer to the new CfgControlSocket instance.

Definition at line 133 of file netconf_config.cc.

References isc::http::Url::getErrorMessage(), isc::data::SimpleParser::getPosition(), isc::data::SimpleParser::getString(), isc_throw, isc::http::Url::isValid(), and isc::netconf::CfgControlSocket::stringToType().

Referenced by isc::netconf::ServerConfigParser::parse().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- netconf_config.h
- netconf_config.cc